﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 판매 데이터
    /// </summary>
    public class SalesData
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public int ID { get; set; }

        #endregion
        #region 지역 ID - RegionID

        /// <summary>
        /// 지역 ID
        /// </summary>
        public int RegionID { get; set; }

        #endregion
        #region 지역 - Region

        /// <summary>
        /// 지역
        /// </summary>
        public string Region { get; set; }

        #endregion
        #region 3월 판매액 - MarchSales

        /// <summary>
        /// 3월 판매액
        /// </summary>
        public decimal MarchSales { get; set; }

        #endregion
        #region 3월 이전 판매액 - MarchSalesPrev

        /// <summary>
        /// 3월 이전 판매액
        /// </summary>
        public decimal MarchSalesPrev { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - SalesData(id, regionID, region, marchSales, marchSalesPrev)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="id">ID</param>
        /// <param name="regionID">지역 ID</param>
        /// <param name="region">지역</param>
        /// <param name="marchSales">3월 판매액</param>
        /// <param name="marchSalesPrev">3월 이전 판매액</param>
        public SalesData(int id, int regionID, string region, decimal marchSales, decimal marchSalesPrev)
        {
            ID             = id;
            RegionID       = regionID;
            Region         = region;
            MarchSales     = marchSales;
            MarchSalesPrev = marchSalesPrev;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 판매 데이터 리스트 구하기 - GetSalesDataList()

        /// <summary>
        /// 판매 데이터 리스트 구하기
        /// </summary>
        /// <returns>판매 데이터 리스트</returns>
        public static List<SalesData> GetSalesDataList()
        {
            List<SalesData> list = new List<SalesData>();

            list.Add(new SalesData(0 , -1, "Western Europe", 30540, 33000));
            list.Add(new SalesData(1 ,  0, "Austria"       , 22000, 20000));
            list.Add(new SalesData(2 ,  0, "Belgium"       , 13000, 9640 ));
            list.Add(new SalesData(3 ,  0, "Denmark"       , 21000, 18100));
            list.Add(new SalesData(4 ,  0, "Finland"       , 17000, 17420));
            list.Add(new SalesData(5 ,  0, "France"        , 23020, 27000));
            list.Add(new SalesData(6 ,  0, "Germany"       , 30540, 33000));
            list.Add(new SalesData(7 ,  0, "Greece"        , 15600, 13200));
            list.Add(new SalesData(8 ,  0, "Ireland"       , 9530 , 10939));
            list.Add(new SalesData(9 ,  0, "Italy"         , 17299, 19321));
            list.Add(new SalesData(11,  0, "Netherlands"   , 8902 , 9214 ));
            list.Add(new SalesData(12,  0, "Norway"        , 5400 , 7310 ));
            list.Add(new SalesData(13,  0, "Portugal"      , 9220 , 4271 ));
            list.Add(new SalesData(14,  0, "Spain"         , 12900, 10300));
            list.Add(new SalesData(15,  0, "Switzerland"   , 9323 , 10730));
            list.Add(new SalesData(16,  0, "United Kingdom", 14580, 13967));
            list.Add(new SalesData(17, -1, "Eastern Europe", 22500, 24580));
            list.Add(new SalesData(18, 17, "Belarus"       , 7315 , 18800));
            list.Add(new SalesData(19, 17, "Bulgaria"      , 6300 , 2821 ));
            list.Add(new SalesData(20, 17, "Croatia"       , 4200 , 3890 ));
            list.Add(new SalesData(21, 17, "Czech Republic", 19500, 15340));
            list.Add(new SalesData(22, 17, "Hungary"       , 13495, 13900));
            list.Add(new SalesData(23, 17, "Poland"        , 8930 , 9440 ));
            list.Add(new SalesData(24, 17, "Romania"       , 4900 , 5100));
            list.Add(new SalesData(25, 17, "Russia"        , 22500, 24580));
            list.Add(new SalesData(26, -1, "North America" , 31400, 32800));
            list.Add(new SalesData(27, 26, "USA"           , 31400, 32800));
            list.Add(new SalesData(28, 26, "Canada"        , 25390, 27000));
            list.Add(new SalesData(29, -1, "South America" , 16380, 15590));
            list.Add(new SalesData(30, 29, "Argentina"     , 16380, 15590));
            list.Add(new SalesData(31, 29, "Brazil"        , 4560 , 5480 ));
            list.Add(new SalesData(32, -1, "Asia"          , 20388, 22547));
            list.Add(new SalesData(34, 32, "India"         , 4642 , 5320 ));
            list.Add(new SalesData(35, 32, "Japan"         , 9457 , 12859));
            list.Add(new SalesData(36, 32, "China"         , 20388, 22547));

            return list;
        }

        #endregion
    }
}